package net.phaedra.webapp.examples;

import net.phaedra.webapp.BasicWebApplication;

import org.apache.wicket.Page;
import org.apache.wicket.request.target.coding.IndexedSharedResourceCodingStrategy;

import es.claro.persistence.PersistenceManager;

public class PhaedraWebappTestApplication extends BasicWebApplication {

   @Override
   protected void init() {
      super.init();
      mountBookmarkablePage("images", ImageExamples.class);
      new IndexedSharedResourceCodingStrategy("im" , "capelli");
   }

   @Override
   protected void configureSessionManager() {
      PersistenceManager.setPersistenceUnit("phaedra-webapp-examples");
   }

   @Override
   public Class getLoginPage() {
      return DemoLogin.class;
   }

   @Override
   public Class<? extends Page> getHomePage() {
      return DemoHome.class;
   }

   @Override
   protected void configureSpring() {
   }

}
